- NAME
- SYNOPSIS
- FUNCTION DESCRIPTIONS

- ReadStream
- WriteStream

# NAME

stream - Image Pixel FIFO

# SYNOPSIS

Image * ReadStream( const ImageInfo *image_info, void(* Stream )( const Image *, const void *, const size_t ), ExceptionInfo *exception );

unsigned int WriteStream( const ImageInfo *image_info, Image *, int(* Stream )( const Image *, const void *, const size_t ));

# FUNCTION DESCRIPTIONS

## ReadStream

> ReadStream() makes the image pixels available to a user supplied callback method immediately upon reading a scanline with the ReadImage ( ) method.

> The format of the ReadStream() method is:

> Image *ReadStream ( const ImageInfo *image_info, void ( *Stream ) ( const Image *, const void *, const size_t ), ExceptionInfo *exception );

A description of each parameter follows:

o image_info:
  The image info.

o stream:
  a callback method.

o exception:
  Return any errors or warnings in this structure.

## WriteStream

> WriteStream() makes the image pixels available to a user supplied callback method immediately upon writing pixel data with the WriteImage ( ) method.

> The format of the WriteStream() method is:

> unsigned int WriteStream ( const ImageInfo *image_info, Image *, int ( *Stream ) ( const Image *, const void *, const size_t ) );

A description of each parameter follows:

o image_info:
  The image info.

o stream:
  A callback method.